Subject: Re: Should asdf-build-system/sbcl use load-system instead of compile-system?

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 01 Jul 2022 16:30:10 +0200

Am Freitag, dem 01.07.2022 um 12:16 +0200 schrieb Pierre Neidhardt:
> [...]
> 
> From the ASDF doc:
> 
> --8<---------------cut here---------------start------------->8---
> This will make sure all the files in the system are compiled, but not
> necessarily load any of them in the current image; on most systems,
> it will _not_ load all compiled files in the current image.  This
> function exists for symmetry with 'load-system' but is not
> recommended *unless you are writing build scripts* and know what
> you're doing.
> --8<---------------cut here---------------end--------------->8---
> 
> So should we really use it?
In this case, I'd argue that we *are* the build script and that
packagers know what they're doing when they override build in case that
asdf:compile-system fails.  Unless I'm wrong, we're not actually
interested in loading all compiled files into the current image, are
we?

Cheers